import {
  displayList,
  serialNumberTypeList,
  serialNumberPositionList,
  arrangeTypeList,
  switchOption,
  isEnable,
} from '@/views/book/courseware/data/common';

export { arrangeTypeList, switchOption, isEnable };



// 显示
export const showList = [
  {
    value: 'true',
    label: '显示',
  },
  {
    value: 'false',
    label: '不显示',
  },
];

// 汉字框
export const frameList = [
  {
    value: 'tian',
    label: '田字格',
  },
  {
    value: 'fang',
    label: '方框',
  },
  {
    value: 'none',
    label: '无',
  },
];

export function getCharacterProperty() {
  return {
    serial_number: 1,
    sn_type: serialNumberTypeList[0].value,
    sn_position: serialNumberPositionList[0].value,
    sn_display_mode: displayList[0].value,

    is_enable_pinyin: showList[0].value,
    frame_type: 'tian',
    frame_color: '#F13232',
    is_enable_stroke: showList[0].value,
    is_enable_voice: showList[0].value,
  };
}

export function getCharacterData() {
  return {
    type: 'character',
    title: '汉字',
    property: getCharacterProperty(),
    content: '',
    content_list: [],
    answer: {
      answer_list: [],
    },
  };
}
